Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.pageeditor.TextSearchReplace Class Reference
Inheritance diagram for foxit.addon.pageeditor.TextSearchReplace:

## Public Member Functions
| TextSearchReplace (PDFDoc doc)
| Constructor. More...
| TextSearchReplace (TextSearchReplace other)
| Constructor, with another text search replace object. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | ReplaceNext (string replace_text)
| Replace next text with replacing text. More...
bool | ReplacePrev (string replace_text)
| Replace previous text with replacing text. More...
void | SetPattern (string keywords, int page_index, FindOption find_option)
| Set keywords and page index to do searching and replacing. More...
void | SetReplaceCallback (ReplaceCallback replace_callback)
| Set replacing callback function. More...

## Detailed Description

This class can be used for searching and replacing text. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function common.Library.Initialize with a key including "AdvEdit" module.

See also
  foxit.common.Library

## Constructor & Destructor Documentation

## ◆ TextSearchReplace() [1/2]

foxit.addon.pageeditor.TextSearchReplace.TextSearchReplace | ( | PDFDoc | doc | ) |
| inline

Constructor.

Parameters

  [in] | doc | A valid PDF document object to be searched or replaced. Currently, Foxit PDF SDK does not support to do the replacing for dynamic XFA document.

This constructor is to construct a text search replace object.

## ◆ TextSearchReplace() [2/2]

foxit.addon.pageeditor.TextSearchReplace.TextSearchReplace | ( | TextSearchReplace | other | ) |
| inline

Constructor, with another text search replace object.

Parameters

  [in] | other | Another text search replace object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit.addon.pageeditor.TextSearchReplace.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means that current object is empty, while false means not.

## ◆ ReplaceNext()

bool foxit.addon.pageeditor.TextSearchReplace.ReplaceNext | ( | string | replace_text | ) |
| inline

Replace next text with replacing text.

Parameters

  [in] | replace_text | The text to be replaced with. This should not be an empty string.

Returns
  true means success, while false means that keywords is not found. It will still return true if users do not want to replace.

## ◆ ReplacePrev()

bool foxit.addon.pageeditor.TextSearchReplace.ReplacePrev | ( | string | replace_text | ) |
| inline

Replace previous text with replacing text.

Parameters

  [in] | replace_text | The text to be replaced with. This should not be an empty string.

Returns
  true means success, while false means that keywords is not found. It will still return true if users do not want to replace.

## ◆ SetPattern()

void foxit.addon.pageeditor.TextSearchReplace.SetPattern | ( | string | keywords,
|  | int | page_index,
|  | FindOption | find_option
| ) |  |
| inline

Set keywords and page index to do searching and replacing.

Parameters

  [in] | keywords | The text content to be replaced. It should not be an empty string.
  [in] | page_index | Index of the page that will be searched and replaced.Valid range: from 0 to (count-1). count is returned by function PDFDoc.GetPageCount for PDF document. This is only used for TextSearchReplace.ReplacePrev and TextSearchReplace.ReplaceNext .
  [in] | find_option | The find option. It should be a valid find option object.

Returns
  true means success, while false means failure.

## ◆ SetReplaceCallback()

void foxit.addon.pageeditor.TextSearchReplace.SetReplaceCallback | ( | ReplaceCallback | replace_callback | ) |
| inline

Set replacing callback function.

Parameters

  [in] | replace_callback | The callback object for replacing.This should be implemented by user and can be null. It means that the found text always needs to be replaced if it is null

Returns
  None.